javax.persistence.criteria

## Interface FetchParent<Z,X>

All Known Subinterfaces:
  CollectionJoin<Z,E>, Fetch<Z,X>, From<Z,X>, Join<Z,X>, ListJoin<Z,E>, MapJoin<Z,K,V>, PluralJoin<Z,C,E>, Root<X>, SetJoin<Z,E>

    public interface FetchParent<Z,X>

### Method Summary

All Methods Instance Methods Abstract Methods
`<Y> Fetch<X,Y>` `fetch(PluralAttribute<? super X,?,Y> attribute)`
`<Y> Fetch<X,Y>` `fetch(PluralAttribute<? super X,?,Y> attribute, JoinType jt)`
`<Y> Fetch<X,Y>` `fetch(SingularAttribute<? super X,Y> attribute)`
`<Y> Fetch<X,Y>` `fetch(SingularAttribute<? super X,Y> attribute, JoinType jt)`
`<X,Y> Fetch<X,Y>` `fetch(String attributeName)`
`<X,Y> Fetch<X,Y>` `fetch(String attributeName, JoinType jt)`
`Set<Fetch<X,?>>` `getFetches()`

### Method Detail

#### getFetches

    Set<Fetch<X,?>> getFetches()

#### fetch

    <Y> Fetch<X,Y> fetch(SingularAttribute<? super X,Y> attribute)

#### fetch

    <Y> Fetch<X,Y> fetch(SingularAttribute<? super X,Y> attribute,
                         JoinType jt)

#### fetch

    <Y> Fetch<X,Y> fetch(PluralAttribute<? super X,?,Y> attribute)

#### fetch

    <Y> Fetch<X,Y> fetch(PluralAttribute<? super X,?,Y> attribute,
                         JoinType jt)

#### fetch

    <X,Y> Fetch<X,Y> fetch(String attributeName)

#### fetch

    <X,Y> Fetch<X,Y> fetch(String attributeName,
                           JoinType jt)